### Method

# Gtk RecentManagerremove_item

#### Declaration [src]

    gboolean
    gtk_recent_manager_remove_item (
      GtkRecentManager* manager,
      const char* uri,
      GError** error
    )

#### Description [src]

Removes a resource pointed by `uri` from the recently used resources list handled by a recent manager.

#### Parameters

`uri`

  Type: `const char*`

  The URI of the item you wish to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the item pointed by `uri` has been successfully removed by the recently used resources list, and `FALSE` otherwise.